﻿@model BulkyBook.Models.ViewModels.ProductVM

@{
    ViewData["Title"] = "Update Category";
}
@if (@Model.Product.Id != null || @Model.Product.Id != 0)
{
    <input asp-for="Product.Id" class="form-control" hidden />
}
<input asp-for="Product.ImageUrl" hidden />

<form method="post" asp-action="Upsert" enctype="multipart/form-data">
    <div class="border p-3 mt-4 row">
        <div class="row pb-2">
            <h2 class="text-primary"> @(Model.Product.Id !=0 ? "Update" : "Create") Product</h2>
            <hr />
        </div>

        <div class="mb-3">
            <label asp-for="Product.Title"></label>
            <input asp-for="Product.Title" class="form-control" />
            <span asp-validation-for="Product.Title" class="text-danger"></span>
        </div>
        <div class="mb-3">
            <label asp-for="Product.Description"></label>
            <textarea asp-for="Product.Description" row="3" class="form-control"></textarea>
            <span asp-validation-for="Product.Description" class="text-danger"></span>
        </div>
        <div class="mb-3 col-6">
            <label asp-for="Product.ISBN"></label>
            <input asp-for="Product.ISBN" class="form-control" />
            <span asp-validation-for="Product.ISBN" class="text-danger"></span>
        </div>
        <div class="mb-3 col-6">
            <label asp-for="Product.Author"></label>
            <input asp-for="Product.Author" class="form-control" />
            <span asp-validation-for="Product.Author" class="text-danger"></span>
        </div>
        <div class="mb-3 col-6">
            <label asp-for="Product.ListPrice"></label>
            <input asp-for="Product.ListPrice" class="form-control" />
            <span asp-validation-for="Product.ListPrice" class="text-danger"></span>
        </div>
        <div class="mb-3 col-6">
            <label asp-for="Product.Price"></label>
            <input asp-for="Product.Price" class="form-control" />
            <span asp-validation-for="Product.Price" class="text-danger"></span>
        </div>
        <div class="mb-3 col-6">
            <label asp-for="Product.Price50"></label>
            <input asp-for="Product.Price50" class="form-control" />
            <span asp-validation-for="Product.Price50" class="text-danger"></span>
        </div>
        <div class="mb-3 col-6">
            <label asp-for="Product.Price100"></label>
            <input asp-for="Product.Price100" class="form-control" />
            <span asp-validation-for="Product.Price100" class="text-danger"></span>
        </div>
        <div class="mb-3">
            <label asp-for="Product.ImageUrl"></label>
            <input type="file" name="file" id="uploadBox" class="form-control" />
            <span asp-validation-for="Product.ImageUrl" class="text-danger"></span>
        </div>
        <div class="mb-3 col-6">
            <label asp-for="Product.CategoryId"></label>
            <select asp-for="Product.CategoryId" asp-items="@Model.CategoryList" class="form-select">
                <option disabled selected>--Select Category--</option>
            </select>
            <span asp-validation-for="Product.CategoryId" class="text-danger"></span>

        </div>
        <div class="mb-3 col-6">
            <label asp-for="Product.CoverTypeId"></label>
            <select asp-for="Product.CoverTypeId" asp-items="@Model.CoverTypeList" class="form-select">
                <option disabled selected>--Select Cover Type--</option>
            </select>
            <span asp-validation-for="Product.CoverTypeId" class="text-danger"></span>

        </div>

        <div class="mb-3 col-12">
            @if (Model.Product.Id != 0)
            {
                <button type="submit" class="btn btn-primary" style="width:150px">Update</button>
            }
            else
            {
                <button type="submit" class="btn btn-primary" onclick="return ValidateInput()" style="width:150px">Create</button>
            }
            <a asp-controller="Product" asp-action="Index" class="btn btn-secondary" style="width:150px">Back to List</a>
        </div>
    </div>
</form>
@section Scripts {
    @{
        <partial name="_ValidationScriptsPartial" />
    }
    <script>
        tinymce.init({
            selector: 'textarea',
            plugins: 'advlist autolink lists link image charmap print preview hr anchor pagebreak',
            toolbar_mode: 'floating',
        });
        function ValidateInput() {
            if (document.getElementById("uploadBox").value == "") {
                Swal.fire({
                    icon: 'error',
                    title: 'Oops...',
                    text: 'Please upload an Image',
                })
                return false;
            }
            return true;
        };</script>
}

